uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marshall Schor <...@schor.com>
Subject Re: [VOTE] UIMA-DUCC 3.0.0 RC4 - updating overview doc, uima v3 use?
Date Sat, 16 Mar 2019 14:19:52 GMT
I see from the release notes that this version of DUCC supports uima v2 and v3.

I see from the build that it appears to include uima-as version 2.10.2,
which in turn, includes the jars for a version of uima v2.
I don't think jars for uima v3 are included?

Does the documentation need to be expanded for using uima v3, for instance,
saying that using uima-as with v3 is not (yet) supported, so you need to
do x-y-z ??? (run ducc without uima-as?).

Reading the Chapter 1 DUCC Overview, it seems this might need updating in the
following senses:

1) talking about the new "pull" model

2) talking about running without ActiveMQ (?)

3) talking about running without UIMA-AS (?)

4) talking about Cassandra - the fact that it's bundled, and what it's used for

5) talking about how to choose (for a new DUCC user) among the various
"styles" - e.g., advice on when to use various configurations
(with or without ActiveMQ, UIMA-AS, etc.).  

  I'm wondering if these have evolved over time, since this chapter was first
written

The (?) means I'm not sure these are correct.

-Marshall



Mime
View raw message